Get document
Retrieves detailed information about a specific document by its unique identifier. Use this to view a document's current content and metadata.
curl -X GET "https://api.jaoboost.com/v1/documents/example_string" \
-H "Content-Type: application/json"
import requests
import json
url = "https://api.jaoboost.com/v1/documents/example_string"
headers = {
"Content-Type": "application/json"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.jaoboost.com/v1/documents/example_string", {
method: "GET",
headers: {
"Content-Type": "application/json"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.jaoboost.com/v1/documents/example_string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.jaoboost.com/v1/documents/example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
response = http.request(request)
puts response.body
"null"
"null"
GET
/documents/{documentId}GET
Base URLstring
Target server for requests. Edit to use your own host.
path
documentIdstring
RequiredThe id of the document to retrieve
Request Preview
Response
Response will appear here after sending the request
Path Parameters
documentIdstring
RequiredThe id of the document to retrieve
Responses
Expected response to a valid request
Was this page helpful?